Subject: [ltans] Harber and Stornetta expiry

From: Phillip Hallam-Baker <[email-masked]>
Date: Thu, 14 Jul 2011 15:35:23 -0400

I understand that LTANS is winding down, are any people interested in
discussing opportunities in the wake of the above expiry?

As I see it the advantage to the linked digest option is that it can be used
to prevent default by TSAs and to provide robustness in the case that a TSA
should fail. That is of course inevitable when looking at keeping records
for centuries.

In particular I think there is an opportunity here for a scheme where
documents were fixed with relation to two timelines. The document itself
would be fixed relative to a short term timeline maintained by a chosen TSA.
the TSA timeline would then be periodically (e.g. every hour) be fixed
relative to a meta timeline kept across multiple TSAs.

Forging the long term archive would require a massive multi-party default.
If we can make the number of parties number in the millions default becomes
inconceivable.

-- 
Website: http://hallambaker.com/

---

From: Tobias Gondrom <[email-masked]>
Date: Sun, 17 Jul 2011 21:28:21 +0100

(Yes, ltans is close to completion. The last bit we wait for is formal 
publication of RFC 6283, which should happen Monday or Tuesday.)

I read about the scheme you describe below.
Although I can see certain value in the linked hash chain, personally I 
am not sure the additional value is significant enough compared to let's 
say using multiple redundant TS (which does not require any coordination 
between TSAs).

 From most of the current business scenarios I've seen the past months 
and years, I would probably not expect a big push for the approach 
(which of course is only my personal data set and does not exclude there 
could be some business need out there).

Best regards, Tobias

On 14/07/11 20:35, Phillip Hallam-Baker wrote:
> As I see it the advantage to the linked digest option is that it can 
> be used to prevent default by TSAs and to provide robustness in the 
> case that a TSA should fail. That is of course inevitable when looking 
> at keeping records for centuries.
>
>
> documents were fixed with relation to two timelines. The document 
> itself would be fixed relative to a short term timeline maintained by 
> a chosen TSA. the TSA timeline would then be periodically (e.g. every 
> hour) be fixed relative to a meta timeline kept across multiple TSAs.
>
> Forging the long term archive would require a massive multi-party 
> default. If we can make the number of parties number in the millions 
> default becomes inconceivable.
>
>
> -- 
> _______________________________________________
> ltans mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ltans

---

From: Peter Sylvester <[email-masked]>
Date: Mon, 18 Jul 2011 12:05:18 +0200

The purpose of hash linking schemes is to link time stamps together and
to be able to verify them without the need of any cryptographic key
which have the tendency to have their secrecy evaporate.

On 07/17/2011 10:28 PM, Tobias Gondrom wrote:
> Although I can see certain value in the linked hash chain, personally 
> I am not sure the additional value is significant enough compared to 
> let's say using multiple redundant TS (which does not require any 
> coordination between TSAs).
>
> (which of course is only my personal data set and does not exclude 
> there could be some business need out there).
>
> Best regards, Tobias
>
>
>
>
>> case that a TSA should fail. That is of course inevitable when 
>> looking at keeping records for centuries.
>>
>>

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Mon, 18 Jul 2011 08:07:53 -0400

On Mon, Jul 18, 2011 at 6:05 AM, Peter Sylvester <[email-masked]
> wrote:

> **

Its not the secrecy that worries me, its the ability to state with
confidence that the TSA will be around after the commercial incentive is
gone.

Its pretty easy to build a business case to support a registry of digital
signatures on mortgage notes to last 30-50 odd years. There is a lot of
money at stake and there will always be someone collecting on the note.

The problem is that we only have this type of business models for a small
number of signatures and they are pretty boring applications. That still
leaves open the question of how we make digital libraries as authentic and
trustworthy as paper ones used to be.

Print is dead. In 100 years time nobody will be printing books other than
for religious or sentimental reasons. People can argue about whether that
should happen but it is very clear that it will happen.

A couple of years ago GM went bankrupt. A couple of weeks ago the worlds
largest circulation tabloid went out of business despite robust profits. How
can we say with confidence that a TSA is going to be around in 100 years
time?

---

From: Tobias Gondrom <[email-masked]>
Date: Mon, 18 Jul 2011 16:38:57 +0100

Well,
not to be boring: the mentioned scenario is exactly one of the reasons 
why we did ERS (rfc4998) and XMLERS (rfc6283) - to be able to renew 
before or in case of a trust anchor goes bust.

Best regards, Tobias

On 18/07/11 13:07, Phillip Hallam-Baker wrote:
>
>
> On Mon, Jul 18, 2011 at 6:05 AM, Peter Sylvester 
> <[email-masked] <mailto:[email-masked]>> wrote:
>
> confidence that the TSA will be around after the commercial incentive 
> is gone.
>
> Its pretty easy to build a business case to support a registry of 
> digital signatures on mortgage notes to last 30-50 odd years. There is 
> a lot of money at stake and there will always be someone collecting on 
> the note.
>
> The problem is that we only have this type of business models for a 
> small number of signatures and they are pretty boring applications. 
> That still leaves open the question of how we make digital libraries 
> as authentic and trustworthy as paper ones used to be.
>
> Print is dead. In 100 years time nobody will be printing books other 
> than for religious or sentimental reasons. People can argue about 
> whether that should happen but it is very clear that it will happen.
>
> A couple of years ago GM went bankrupt. A couple of weeks ago the 
> worlds largest circulation tabloid went out of business despite robust 
> profits. How can we say with confidence that a TSA is going to be 
> around in 100 years time?
>
> --

---

From: Peter Sylvester <[email-masked]>
Date: Mon, 18 Jul 2011 17:45:12 +0200

Hi

> confidence that the TSA will be around after the commercial incentive 
Do you mean by 'staying around':
   - being able to issue time stamps
   - being able to ensure that no one can create a correct timestamp (in 
the past)
     because no one ensure that the TSA key was destroyed.
  -  having some means to ask someone whether a given time stamp was
     really created 10 years ago (by some TSA).
  - ...
  - ... ?

> a lot of money at stake and there will always be someone collecting on 
these signature are less important than some actual money transfer that 
is done?

> as authentic and trustworthy as paper ones used to be.
Paper is less authentic as one belives, but I agree, the physical 
characteristics of paper allow
to have some trust in the integrity, and additional measures like seals, 
the paper types itselfs
stamps, etc contribute. Sometime that way of writing ... one third of 
decrees of prpriety for
the church issued by CharleMagne are false.

> whether that should happen but it is very clear that it will happen.
I avoid predicting things, especially those in the future. :-)
> around in 100 years time?
What confidence do you need for a TSA?

If I read RFC 3161, ....

regards

---

From: todd glassey <[email-masked]>
Date: Mon, 18 Jul 2011 08:51:47 -0700

> there could be some business need out there).

I want to start a new NTP Time Stamping WG which uses the existing NTP 
protocol as a transport for timestamps and content validation services. 
As to why this is necessary - the issue is in the Trust Factors and 
Uniform Time Service models which all involve the hosting OS as the 
intermediary between the various protocols and their services. This is a 
failure of many of the IETF's efforts, but hey it is what it is...

That said - NTP as both a time distribution vector, time verification 
vector and content controller is a natural fit.

Any interests?

Todd Glassey

-- 
Todd S. Glassey
This is from my personal email account and any materials from this account come with personal disclaimers.

Further I OPT OUT of any and all commercial emailings.

---

From: Peter Sylvester <[email-masked]>
Date: Mon, 18 Jul 2011 17:57:52 +0200

> before or in case of a trust anchor goes bust.

Indeed.

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Mon, 18 Jul 2011 12:30:40 -0400

On Mon, Jul 18, 2011 at 11:45 AM, Peter Sylvester <
[email-masked]> wrote:

> On Mon, Jul 18, 2011 at 6:05 AM, Peter Sylvester <
> [email-masked]> wrote:
>
>   - being able to ensure that no one can create a correct timestamp (in the
> past)

I mean we can't depend on them being around in 100 or 1000 years time. We do
depend on paper being around that long.

> these signature are less important than some actual money transfer that is
> done?
>

Yes, the question of who owes money to whom is pretty piffling in the long
run of events. nobody will care in 100 years time.

The question of who wrote the protocols of the elders of Zion, the Zinoviev
letter, etc, those are rather more important.

He who controls the past controls the present and he who controls the
present controls the future. Falsification of historical records is a social
issue and requires social infrastructure.

Photoshop forgeries are becoming better and better. But the real danger is
that we have now reached the point where genuine evidence is dismissed as
photoshoped.

> I avoid predicting things, especially those in the future. :-)

Do you want the future of history to depend on the survival of print?

> What confidence do you need for a TSA?

If money is involved, it is an easy problem.

---

From: todd glassey <[email-masked]>
Date: Mon, 18 Jul 2011 10:32:09 -0700

> around in 100 years time?

By making it a government service so it is not tied to the marketspace...

Why do you think Certichron does what it does - by the way - we just 
opened the 10th NIST Server we operate!

Todd

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Mon, 18 Jul 2011 13:37:04 -0400

How do we know governments will last that long?

Very few institutions have existed more than a few hundred years without
major changes in function and structure. Oxford was founded as a religious
community and only made training for the priesthood the primary purpose in
the middle ages. The idea of being a general purpose educator comes from the
Victorian era.

What I like about the Harber & Stornetta approach is that it allows multiple
archives to be bound together in ways that makes their integrity
interdependent.

On Mon, Jul 18, 2011 at 1:32 PM, todd glassey <[email-masked]>wrote:

> Why do you think Certichron does what it does - by the way - we just opened
> the 10th NIST Server we operate!
>
> Todd
>
>
>
>
>
>>
>>
>  --
> ltans mailing [email-masked]://www.ietf.org/mailman/listinfo/ltans
>
>
>
> --
> Todd S. Glassey

---

From: todd glassey <[email-masked]>
Date: Mon, 18 Jul 2011 11:14:02 -0700

> How do we know governments will last that long?
PHB - this isn't about building perfection - its about building a 
specific set of end-use solutions - something the IETF is uniquely 
incompetent at IMHO.

Before ANYTHING happens - the use models and how their to be controlled 
has to be formally inked.  Building them after the fact is more than 
stupid and ignorant - its the IETF Way.

Todd G.
>
> Very few institutions have existed more than a few hundred years 
> without major changes in function and structure. Oxford was founded as 
> a religious community and only made training for the priesthood the 
> primary purpose in the middle ages. The idea of being a general 
> purpose educator comes from the Victorian era.
>
>
> What I like about the Harber & Stornetta approach is that it allows 
> multiple archives to be bound together in ways that makes their 
> integrity interdependent.
>
>
>
> On Mon, Jul 18, 2011 at 1:32 PM, todd glassey <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>>     Its not the secrecy that worries me, its the ability to state
>>     with confidence that the TSA will be around after the commercial
>>     incentive is gone.
>>
>>     digital signatures on mortgage notes to last 30-50 odd years.
>>     There is a lot of money at stake and there will always be someone
>>     collecting on the note.
>>
>>     The problem is that we only have this type of business models for
>>     a small number of signatures and they are pretty boring
>>     applications. That still leaves open the question of how we make
>>     digital libraries as authentic and trustworthy as paper ones used
>>     to be.
>>
>>     Print is dead. In 100 years time nobody will be printing books
>>     other than for religious or sentimental reasons. People can argue
>>     about whether that should happen but it is very clear that it
>>     will happen.
>>
>>     worlds largest circulation tabloid went out of business despite
>>     robust profits. How can we say with confidence that a TSA is
>>     going to be around in 100 years time?
>
>     Why do you think Certichron does what it does - by the way - we
>     just opened the 10th NIST Server we operate!
>
>     Todd
>
>
>>
>>     -- 
>>     [email-masked]  <mailto:[email-masked]>
>     [email-masked] <mailto:[email-masked]>